Subject: Re: bug#1352: 23.0.60; isearch-success-function

From: Stefan Monnier <[email-masked]>
Date: Sat, 15 Nov 2008 20:10:46 -0500

> The name of `isearch-success-function' seems wrong, if we believe the
> doc string. The doc string suggests that it is a predicate that
> filters the search hits that would otherwise be available. That's very
> general. If that's true, then the name should reflect this meaning -
> perhaps `isearch-predicate'.

Actually, based on your description, I'd name it `isearch-filter-predicate'.

        Stefan